Bug 2140701 (CVE-2022-3551) - CVE-2022-3551 xorg-x11-server: memory leak in ProcXkbGetKbdByName() in xkb/xkb.c
Summary: CVE-2022-3551 xorg-x11-server: memory leak in ProcXkbGetKbdByName() in xkb/xkb.c
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2022-3551
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2140702 2140703 2140770 2140771 2140772 2140773 2140774
Blocks: 2135594
TreeView+ depends on / blocked
 
Reported: 2022-11-07 16:52 UTC by Guilherme de Almeida Suckevicz
Modified: 2023-05-16 08:15 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the xorg-x11-server package. The ProcXkbGetKbdByName function in xkb/xkb.c does not release allocated data when an error is encountered, allowing for a memory leak.
Clone Of:
Environment:
Last Closed: 2022-12-07 08:15:59 UTC
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2022:8491 0 None None None 2022-11-16 10:12:26 UTC
Red Hat Product Errata RHSA-2023:2248 0 None None None 2023-05-09 07:21:47 UTC
Red Hat Product Errata RHSA-2023:2249 0 None None None 2023-05-09 07:22:14 UTC
Red Hat Product Errata RHSA-2023:2805 0 None None None 2023-05-16 08:15:00 UTC
Red Hat Product Errata RHSA-2023:2806 0 None None None 2023-05-16 08:15:16 UTC

Description Guilherme de Almeida Suckevicz 2022-11-07 16:52:10 UTC
A vulnerability, which was classified as problematic, has been found in X.org Server. Affected by this issue is the function ProcXkbGetKbdByName of the file xkb/xkb.c. The manipulation leads to memory leak. It is recommended to apply a patch to fix this issue. The identifier of this vulnerability is VDB-211052.

Reference:
https://vuldb.com/?id.211052

Upstream patch:
https://cgit.freedesktop.org/xorg/xserver/commit/?id=18f91b950e22c2a342a4fbc55e9ddf7534a707d2

Comment 1 Guilherme de Almeida Suckevicz 2022-11-07 16:52:31 UTC
Created xorg-x11-server tracking bugs for this issue:

Affects: fedora-all [bug 2140703]


Created xorg-x11-server-Xwayland tracking bugs for this issue:

Affects: fedora-all [bug 2140702]

Comment 4 Olivier Fourdan 2022-11-08 07:34:24 UTC
It's a memory leak, not a security issue.

Some data is not freed when an error is encountered, meaning that in the common case, there is no leak.

Comment 5 errata-xmlrpc 2022-11-16 10:12:24 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2022:8491 https://access.redhat.com/errata/RHSA-2022:8491

Comment 6 Product Security DevOps Team 2022-12-07 08:15:57 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-3551

Comment 7 errata-xmlrpc 2023-05-09 07:21:45 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2023:2248 https://access.redhat.com/errata/RHSA-2023:2248

Comment 8 errata-xmlrpc 2023-05-09 07:22:13 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2023:2249 https://access.redhat.com/errata/RHSA-2023:2249

Comment 9 errata-xmlrpc 2023-05-16 08:14:58 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2023:2805 https://access.redhat.com/errata/RHSA-2023:2805

Comment 10 errata-xmlrpc 2023-05-16 08:15:14 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2023:2806 https://access.redhat.com/errata/RHSA-2023:2806


Note You need to log in before you can comment on or make changes to this bug.